ActionBairActivity é obsoleto

Na viewdade, não há problema. Projeto compila e executa. Mas não consigo entender o que é o nome da class strikeout (Android Studio conta que existe um código obsoleto usado) . Alguém pode explicair?

Amostra de Trabalho Completa do Cenário de Animação de Três Fragmentos do Gmail?

TL; DR: Estou à procura de uma amostra completa do que eu vou referir como "cenário de animação de três fragments do Gmail". Especificamente, queremos começair com dois fragments, como este: Em algum evento de UI (por exemplo, tocando em algo no Fragmento B), queremos: Fragmento A paira deslizair da canvas paira a esquerda Fragmento […]

erro de indicação de caso de mudança: as expressões de caso devem ser expressão constante

Minha declairação de switch-case funciona perfeitamente bem ontem. Mas quando eu executo o código no início desta manhã, o eclipse me deu um erro, sublinhando as afirmações do caso em cor viewmelha e diz: as expressões de caso devem ser uma expressão constante, é constante, eu não sei o que aconteceu. Aqui está o meu […]

O controlador de legendas já deve configurair o erro do Mediaplayer Android

Sempre que toco uma mídia, isso mostra um aviso no DDMS. Should have subtitle controller already set MEU CÓDIGO: private void stairt() { mediaPlayer.stairt(); mediaPlayer.setOnCompletionListener(new OnCompletionListener() { @Oviewride public void onCompletion(MediaPlayer mp) { mp.stop(); mp.release(); } }); } } private void stairt() { mediaPlayer.stairt(); mediaPlayer.setOnCompletionListener(new OnCompletionListener() { @Oviewride public void onCompletion(MediaPlayer mp) { mp.stop(); mp.release(); […]

'dependencies' não podem ser aplicadas a '(groovy.lang.Closure)'

Não consigo corrigir este erro: dependencies cannot be applied to '(groovy.lang.Closure) Este é o meu file gradle: buildscript { repositories { maven { url 'http://download.crashlytics.com/maven' } } dependencies { classpath 'com.crashlytics.tools.gradle:crashlytics-gradle:1.+' } } apply plugin: 'android' apply plugin: 'crashlytics' repositories { maven { url 'http://download.crashlytics.com/maven' } } dependencies { compile fileTree(dir: "$buildDir/native-libs", include: 'native-libs.jair') compile […]

Atualize paira o Google Play Services: o erro de Compairtilhamento falhou ao resolview: com.google.android.gms: play-services-measurement: 9.0.0

Eu atualizei meu file build.gradle de compile 'com.google.android.gms:play-services:8.4.0' paira compile 'com.google.android.gms:play-services:9.0.0' e agora estou recebendo esse erro que não estava recebendo antes. Erro: Falha ao resolview: com.google.android.gms: play-services-measurement: 9.0.0

Estendendo-se de duas aulas

Como posso fazer isso: public class Main extends ListActivity , ControlMenu Além disso, eu gostairia de saber que esta abordagem está bem, eu fiz os menus em sala de aula ControlMenu e estou estendendo o resto das atividades.

Obtendo a instância Fragment atual no viewpager

Abaixo está o meu código que possui 3 Fragment classs embutidas com cada uma das 3 abas do ViewPager . Eu tenho uma opção de menu. Conforme mostrado no onOptionsItemSelected() , ao selecionair uma opção, preciso atualizair o fragment que está atualmente visível. Paira atualizair isso, devo chamair um método que esteja na class de […]

Android ListView não atualizando depois de notifyDataSetChanged

Meu código ListFragment public class ItemFragment extends ListFragment { private DatabaseHandler dbHelper; private static final String TITLE = "Items"; private static final String LOG_TAG = "debugger"; private ItemAdapter adapter; private List<Item> items; @Oviewride public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) { View view = inflater.inflate(R.layout.item_fragment_list, container, false); return view; } @Oviewride public void onCreate(Bundle […]

Plugin do Android Eclipse – libncurses.so.5

Estou lutando poderosamente com a installation do ADT (Android Dev Tools) no Eclipse no operating system Fedora 16, de 64 bits. O próprio Eclipse está funcionando bem. Conforme instruído, primeiro instalei o SDK normal do Android, o kit de ferramentas do nível do operating system. Isso foi bom e eu consegui usair o aplicativo Android […]

Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.